<?php
$default_settings = [
    'image' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
if(!empty($image['id'])) : 

	$img = ct_get_image_by_size( array(
		'attach_id'  => $image['id'],
		'thumb_size' => 'full',
	));
	$img_url = $img['url'];
	?>
	<div class="ct-box-background <?php echo esc_attr($settings['offset']); ?>">
		<div class="bg-image" style="background-image: url(<?php echo esc_url($img_url); ?>);"></div>
	</div>
<?php endif; ?>